Subject: Re: [PATCH net-next v2 1/7] selftests: drv-net: add a warning for bkg + shell + terminate

From: Jakub Kicinski <[email-masked]>
Date: Thu, 20 Feb 2025 13:10:59 -0800

On Thu, 20 Feb 2025 14:31:35 -0500 Joe Damato wrote:
> > +        if shell and self.terminate:
> > +            print("# Warning: combining shell and terminate is risky!")
> > +            print("#          SIGTERM may not reach the child on zsh/ksh!")
> > +  
> 
> This warning did not print on my system, FWIW. Up to you if you want
> to respin and drop it or just leave it be.

You mean when running this patchset? It shouldn't, the current 
test uses ksft_wait rather than terminate. The warning is for
test developers trying to use the risky config in new tests.

> I am fine with this warning being added, although I disagree with
> the commit message as mentioned in my previous email.

I'll edit the commit message when applying. Unless you want to dig
deeper and find out why your bash/env is different than mine :(

GNU bash, version 5.2.32(1)-release (x86_64-redhat-linux-gnu)

We know that "some shells" fork, that's the important point.